dpp::auditlog
dpp::json_interface< auditlog >
auditlog.h
struct friend struct json_interface< auditlog > json_interface< auditlog > dpp::auditlog::json_interface< auditlog > json_interface< auditlog >
std::vector< audit_entry > std::vector<audit_entry> dpp::auditlog::entries entries dpp::auditlog::entries

Audit log entries.

auditlog & auditlog & dpp::auditlog::fill_from_json_impl (nlohmann::json *j) fill_from_json_impl dpp::auditlog::fill_from_json_impl nlohmann::json * j

Read class values from json object j

A json object to read from

A reference to self

dpp::auditlog::auditlog
()=default
auditlog
dpp::auditlog::auditlog

Constructor

virtual dpp::auditlog::~auditlog
()=default
~auditlog
dpp::auditlog::~auditlog

Destructor

std::string std::string dpp::json_interface< auditlog >::build_json (bool with_id=false) const build_json dpp::json_interface< auditlog >::build_json bool with_id false

Convert object to json string.

with_id

Whether to include the ID or not

Some fields are conditionally filled, do not rely on all fields being present

std::string Json built from the structure

auditlog & auditlog & dpp::json_interface< auditlog >::fill_from_json (nlohmann::json *j) fill_from_json dpp::json_interface< auditlog >::fill_from_json nlohmann::json * j

Convert object from nlohmann::json.

j

nlohmann::json object

T& Reference to self for fluent calling

auto auto dpp::json_interface< auditlog >::to_json (bool with_id=false) const to_json dpp::json_interface< auditlog >::to_json bool with_id false

Convert object to nlohmann::json.

with_id

Whether to include the ID or not

Some fields are conditionally filled, do not rely on all fields being present

json Json built from the structure

The auditlog class represents the audit log entries of a guild.

dpp::auditlog
dpp::json_interface< T >
dpp::json_interface< auditlog >
< auditlog >
T
audit_type
dpp::audit_change
key
new_value
old_value
dpp::audit_entry
id
target_id
user_id
changes
type
extra
reason
dpp::auditlog
entries
dpp::json_interface< T >
dpp::json_interface< audit_entry >
< audit_entry >
dpp::json_interface< auditlog >
< auditlog >
dpp::snowflake
value
std::basic_string< Char >
optional< dpp::audit_extra >
std::string
std::vector< T >
elements
std::vector< dpp::audit_change >
elements
< dpp::audit_change >
std::vector< dpp::audit_entry >
elements
< dpp::audit_entry >
uint64_t
- dpp::auditlog
  auditlog
- dpp::auditlog
  build_json
- dpp::auditlog
  entries
- dpp::auditlog
  fill_from_json
- dpp::auditlog
  fill_from_json_impl
- dpp::auditlog
  json_interface< auditlog >
- dpp::auditlog
  to_json
- dpp::auditlog
  ~auditlog